using System;
using System.Configuration;
using System.IO;
using Kosmaczewski.Oruga;
using Kosmaczewski.Oruga.Html;
using Kosmaczewski.Oruga.Rtf;

namespace Kosmaczewski.Oruga.TestApp
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class TestApp
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			string initDir = ConfigurationSettings.AppSettings["RTFExamples"];
			string filename = initDir + @"\paragraphs.rtf";
			RtfParser parser = new RtfParser(filename);
			HtmlSerializer serializer = new HtmlSerializer();
			Crisalida crisalida = new Crisalida(parser, serializer);
			crisalida.TransformToFile(initDir + @"\test.html");
		}
	}
}
