using System;
using System.Configuration;

namespace Kosmaczewski.Oruga
{
	/// <summary>
	/// Encapsulates access to the ConfigurationSettings.AppSettings collection.
	/// </summary>
	public sealed class Config
	{
		/// <summary>
		/// Private constructor.
		/// </summary>
		private Config()
		{
		}

		/// <summary>
		/// Directory where the XSL stylesheets are located.
		/// </summary>
		public static string XslDir
		{
			get
			{
				return ConfigurationSettings.AppSettings["XslDir"];
			}
		}
	}
}
