using System;
using System.IO;

namespace Kosmaczewski.Oruga.Html
{
	/// <summary>
	/// HtmlTextReader provides forward-only, read-only access to a stream of HTML data. 
	/// The current value refers to the token on which the reader is positioned. 
	/// The reader is advanced using the read method and the public properties reflect the 
	/// value and type of the current token.
	/// </summary>
	internal sealed class HtmlTextReader
	{
		private Stream stream;

		/// <summary>
		/// Public constructor.
		/// </summary>
		/// <param name="stream">A stream of HTML data (can be a 
		/// System.IO.FileStream instance or data available on a web site)</param>
		internal HtmlTextReader(Stream stream)
		{
			this.stream = stream;
		}
	}
}
