using System;
using System.IO;
using Kosmaczewski.Oruga.XslFo;

namespace Kosmaczewski.Oruga
{
	/// <summary>
	/// Specifies the members needed to implement a extensible family of serializers to be
	/// used by the Capullo class.
	/// </summary>
	public interface ISerializer
	{
		/// <summary>
		/// XslFoDocument source used for the transformation
		/// </summary>
		XslFoDocument Source {set; get;}

		/// <summary>
		/// Writes the result of the transformation to the provided Stream
		/// </summary>
		/// <param name="stream">System.IO.Stream instance that will be used 
		/// to write the result of the transformation</param>
		void Write(Stream stream);
	}
}
