using System;
using Kosmaczewski.Oruga;
using Kosmaczewski.Oruga.XslFo;

namespace Kosmaczewski.Oruga.Rtf
{
	/// <summary>
	/// Summary description for RtfSerializer.
	/// </summary>
	public class RtfSerializer : ISerializer
	{
		private XslFoDocument doc;

		/// <summary>
		/// Public constructor.
		/// </summary>
		/// <param name="xslfo">The XslFoDocument instance to serialize.</param>
		public RtfSerializer(XslFoDocument xslfo)
		{
			this.doc = xslfo;
		}

		#region ISerializer Members

		/// <summary>
		/// XslFoDocument source used for the transformation
		/// </summary>
		public XslFoDocument Source
		{
			get
			{
				return this.doc;
			}
			set
			{
				this.doc = value;
			}
		}

		/// <summary>
		/// Writes the result of the transformation to the provided Stream
		/// </summary>
		/// <param name="stream">System.IO.Stream instance that will be used 
		/// to write the result of the transformation</param>
		public void Write(System.IO.Stream stream)
		{
			// TODO:  Add RtfSerializer.Write implementation
		}

		#endregion
	}
}
