using System;
using System.IO;
using Kosmaczewski.Oruga;

namespace Kosmaczewski.Oruga.XslFo
{
	/// <summary>
	/// Dummy ISerializer that produces an XSL-FO output.
	/// </summary>
	public class XslFoSerializer : ISerializer
	{
		private XslFoDocument doc;

		/// <summary>
		/// Constructor.
		/// </summary>
		/// <param name="xslfo">XslFoDocument to be transformed</param>
		public XslFoSerializer(XslFoDocument xslfo)
		{
			this.doc = xslfo;
		}

		#region ISerializer Members

		/// <summary>
		/// XslFoDocument source used for the transformation
		/// </summary>
		public XslFoDocument Source
		{
			get
			{
				return this.doc;
			}

			set
			{
				this.doc = value;
			}
		}

		/// <summary>
		/// Writes the result of the transformation to the provided Stream
		/// </summary>
		/// <param name="stream">System.IO.Stream instance that will be used 
		/// to write the result of the transformation</param>
		public void Write(Stream stream)
		{
			// TODO:  Add XslFoSerializer.Write implementation
		}

		#endregion
	}
}
