#!/usr/bin/perl

use strict;

foreach my $in (@ARGV) {
  next unless -f $in and -r _; # Skip unreadables
  open IN, $in  or  warn( "Can't read-open $in: $!\n" ), next;
  read IN, $_, 10_000 or warn("Can't read from $in: $!\n"), next
  close(IN);
  m/^\{\\rtf/s  or  warn( "Not RTF: $in\n" ), next;

  m/\{\\title\s*([^\}]+)\}/s or warn("No title in $in\n"), next;
  print "T $in: ", unesc($1), "\n";
}

sub unesc {
  my $x = $_[0];
  $x =~ s/[\cm\cj]//g;  # kill meaningless newlines
  $x =~ s/\\'([a-fA-F0-9]{2})/pack("C", hex($1))/eg; # decode \'xx
  return $x;
}

__END__

