#!/usr/bin/perl
require 5;
use strict;
use warnings;
# (Run under a sane version of Perl, with optimal error-checking)


### Thanks very much to David Thielen for helping me glean out of
### the RTF spec that one can do this, and how. -- Sean M. Burke

use strict;

rtf_wrapper_document_for("hypnocat.png" => "hypnocat_png.rtf");
rtf_wrapper_document_for("hypnocat.jpg" => "hypnocat_jpg.rtf");

exit;



sub rtf_wrapper_document_for {
  my($image, $outrtf) = @_;
  open RTF, ">", "$outrtf" or die $!;
  print "Writing $outrtf\n";
  print RTF
q'{\rtf1\ansi\deff0 {\fonttbl {\f0\froman Times New Roman;}}
{\info {\author .}{\company .}{\title .}}
\deflang1033 \plain \fs26 \widowctrl \hyphauto \ftnbj
{\header \pard\qr\plain\f0\fs16 \chpgn \par}

{\pard
Here is the pic:
';
  print RTF rtf_image($image);
  print RTF '}}';
  close(RTF);
}

use Image::Size;

sub rtf_image {
  my $filespec = shift;
  die "No such file as $filespec" unless $filespec and -e $filespec;
  my($h,$w, $type) = imgsize( $filespec );
  die "$filespec - $type" unless $h and $w;

  my $tag =
      ($type eq 'PNG') ? '\pngblip'
    : ($type eq 'JPG') ? '\jpegblip'
    : die("I can't handle images of type $type like $filespec");
  ;
  my $content =      file_content_as_hex($filespec)
   || die "Can't get file_content_as_hex(\"$filespec\")";
  
  return
    "{\\pict$tag\\picw$w\\pich$h\n" # pretty minimal pic metadata
    . $content . "}\n";
}

sub file_content_as_hex {
  my $in = $_[0];
  open IN, "<", $in or die "Can't read-open $in: $!";
  binmode(IN);
  my $content = '';
  my $buffer;
  while( read(IN, $buffer, 32) ) {
    $content .= unpack("H*", $buffer) . "\n";
    #  Turn 32 bytes into 64 hex characters, and then add a newline.
    #  (If the last chunk of data is under 32 bytes, then the unpack()
    #  does the right thing.)
  }
  close(IN);
  return $content;
}

__END__

